Debt Repayment
This feature is supported for Mastercard and Visa debit cards in the United Kingdom.
The United Kingdom has a regulation that permits customers to use a debit card to pay outstanding debt for another person. This person is referred to as the payment recipient. These are the types of loans that can qualify for this program:
- Loans
- Credit card balances
- Funding the purchase of goods or services by an entity that is not the seller of the goods or services
To help reduce the high levels of fraud that occur for these kinds of transactions, you must include information about the recipient in the authorization request. These fields are required in the United Kingdom for debit transactions that are characterized under merchant category code 6012 or 6051:
recipientInformation.accountIdrecipientInformation.dateOfBirthrecipientInformation.lastNamerecipientInformation.postalCode
Debt repayment transactions are subject to regulatory and compliance requirements, including Know Your Customer (KYC) and Anti-Money Laundering (AML) verifications. Collecting recipient details such as date of birth, last name, account ID, and postal code ensures that transactions can be validated and monitored for fraud prevention and legal compliance.
Supported Processors
- Barclays
- Elavon
- HBoS
- LloydsTSB Cardnet
- Streamline
- Barclays
- Streamline
Handling Declines
If the debt repayment transaction is declined, you cannot resubmit the transaction in any of these situations:
- You have already retried the transaction three times, and each retry was declined.
- More than 14 calendar days have passed since the original decline.
- The issuer returns a pick up card response. This response is final: do not attempt the transaction again.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "clientReferenceInformation": { "code": "RTS-Debt-Repayment" }, "paymentInformation": { "card": { "number": "CARD_NUMBER", "expirationMonth": "12", "expirationYear": "2031" } }, "orderInformation": { "amountDetails": { "totalAmount": "178.64", "currency": "GBP" }, "billTo": { "firstName": "John", "lastName": "Doe", "address1": "1 Market St", "locality": "London", "postalCode": "SW1 1ST", "country": "GB", "email": "[email protected]" } }, "recipientInformation": { "accountId": "1234567890", "lastName": "Smith", "postalCode": "12345", "dateOfBirth": "19900101" }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/7749458393886569703091/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/7749458393886569703091" }, "capture": { "method": "POST", "href": "/pts/v2/payments/7749458393886569703091/captures" } }, "clientReferenceInformation": { "code": "RTS-Debt-Repayment" }, "id": "7749458393886569703091", "orderInformation": { "amountDetails": { "authorizedAmount": "178.64", "currency": "GBP" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "pointOfSaleInformation": { "terminalId": "04980984" }, "processorInformation": { "paymentAccountReferenceNumber": "V0010013018036776997406844475", "merchantNumber": "0006817027", "approvalCode": "178", "merchantAdvice": { "code": "00", "codeRaw": "0" }, "networkTransactionId": "123456789012345", "transactionId": "123456789012345", "responseCode": "0", "avs": { "code": "U", "codeRaw": "00" } }, "status": "AUTHORIZED", "submitTimeUtc": "2026-03-31T08:30:39Z"}Required Fields
These fields are required when creating a debt repayment authorization request:
| Field | Description |
|---|---|
clientReferenceInformation.code | Order reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. |
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
orderInformation.billTo.address1 | — |
orderInformation.billTo.country | — |
orderInformation.billTo.email | — |
orderInformation.billTo.firstName | — |
orderInformation.billTo.lastName | — |
orderInformation.billTo.locality | — |
orderInformation.billTo.postalCode | — |
paymentInformation.card.expirationMonth | — |
paymentInformation.card.expirationYear | — |
paymentInformation.card.number | — |
recipientInformation.accountId | — |
recipientInformation.dateOfBirth | — |
recipientInformation.lastName | — |
recipientInformation.postalCode | — |
Thanks for your feedback!
Last published: September 29, 2026